> ## Documentation Index
> Fetch the complete documentation index at: https://developers.partoo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Update message template

> This endpoint allows updating an existing message template by its ID.




## OpenAPI

````yaml /assets/openapi/openapi-bundled.yaml put /messaging/templates/{template_id}
openapi: 3.1.0
info:
  title: Partoo Rest API
  version: v2
  license:
    name: © Copyright Partoo
    url: https://www.partoo.co/en/gtu-api/
  x-logo:
    url: >-
      https://partoo-client-images.s3.amazonaws.com/logo-partoo-restapi-white.png
  description: >
    ## Introduction

    The Partoo Rest API allows you to automate all the actions that are possible
    to do in the Partoo Web Application.


    The Partoo Rest API can be used for many different purposes:
      - Create/update/delete your businesses & users if you are a client.
      - Create/subscribe/manage organizations, businesses & users if you are a reseller.
      - Retrieve data on businesses you have access to if you are a publisher.
      - ...
servers:
  - url: https://api.partoo.co/v2
    description: Production server
  - url: https://api.sandbox.partoo.co/v2
    description: Sandbox server (dev environment for clients & partners)
security:
  - ApiKeyAuth: []
paths:
  /messaging/templates/{template_id}:
    put:
      tags:
        - Message Reply Templates
      summary: Update message template
      description: |
        This endpoint allows updating an existing message template by its ID.
      operationId: updateTemplate
      parameters:
        - $ref: '#/components/parameters/path_template_id'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MessageTemplateUpdateRequest'
      responses:
        '200':
          description: The message template created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MessageReplyTemplate'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
components:
  parameters:
    path_template_id:
      in: path
      name: template_id
      required: true
      schema:
        type: number
      description: Template id
  schemas:
    MessageTemplateUpdateRequest:
      properties:
        title:
          type: string
          description: The new title of the template
          example: Quote request
        icon:
          type: string
          description: The new icon linked to the template
          example: 📝
        content:
          type: string
          description: >
            The new template content as a __stringified JSON__ object with
            `"_version": "0.1"` inside
          example: >-
            {"text": "Hello, thank you for your request. For a quote, please
            contact us at 0123456789." "_version": "0.1"}
    MessageReplyTemplate:
      type: object
      title: MessageReplyTemplate
      properties:
        id:
          type: string
          example: 642bca3d2830e15c6806cc33
        title:
          type: string
          description: The title of the message template.
          example: Quote request
        content:
          type: string
          enum:
            - client_full_name
            - client_first_name
            - business_name
            - my_first_name
            - rb_link
            - address
            - website_url
            - phone_number
          description: >
            The content of the message template should be a __stringified JSON__
            object. This includes both the message content (`"text"`) and the
            pair `"_version": "0.1"`.


            The `"text"` can contain placeholders (values from the enum above
            within double curly braces `{{}}`) that will be replaced with the
            actual values when the message is sent.
          example: >-
            {"text": "Hello {{client_full_name}}, thank you for your request.
            For a quote, please contact us at 0123456789." "_version": "0.1"}
        icon:
          type:
            - string
            - 'null'
          description: The icon associated with the message template.
          example: 📝
        org_id:
          type: integer
          description: The organization ID that the message template belongs to.
          example: 123
        created_at:
          type: string
          format: date-time
          description: >-
            The date and time when the message template was created, in ISO 8601
            format.
          example: '2023-01-31T16:22:17.327878+00:00'
        updated_at:
          type:
            - string
            - 'null'
          format: date-time
          description: >-
            The date and time when the message template was last updated, in ISO
            8601 format.
          example: '2023-02-15T10:00:00.000000+00:00'
        usage_count:
          type: integer
          description: The number of times the message template has been used.
          example: 50
  responses:
    '401':
      description: You are not authenticated
      content:
        application/json:
          schema:
            description: Error that occurs when you are not authenticated
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  authentication:
                    type: string
                    default: User not authenticated
    '403':
      description: |
        You are not allowed to perform this action
      content:
        application/json:
          schema:
            description: >
              Error that occurs when you are authenticated but you are trying to
              perform an action you are not allowed to perform
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  authorization:
                    type: string
                    default: Operation not allowed
    '404':
      description: Resource does not exist
      content:
        application/json:
          schema:
            description: >-
              Error that occcurs when you are trying to reach a resource that
              does not exist
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  json:
                    type: string
                    default: Resource not found
  securitySchemes:
    ApiKeyAuth:
      description: >
        The authentication system on Partoo API is using API Key that should be
        put in the header of the request (the name of the header is `x-APIKey`).
        An api_key is linked to a user. This user's role will give you different
        access level to the API features.
      type: apiKey
      in: header
      name: x-APIKey

````